当前位置: 首页>>技术教程>>正文


如何安装google-talkplugin?

ubuntuer 技术教程 , , 去评论

问题描述

如何安装Google Talk插件以便我可以使用gtalk和Google Plus?

最佳解决方案

从Ubuntu 11.10开始,multi-arch用于以前使用ia32-libs的应用程序。

gtalk& Google plus是相同的插件。它们由64位插件和32位守护程序组成 – 并且使用已弃用的ia32-libs,Google将在某些时候更新其程序包。

在Ubuntu 11.10 amd64下,用户应该继续在amd64系统上使用http://www.google.com/chat/video提供的64位.deb,因为此时不能在没有对系统进行其他修改的情况下使用32位.deb。

下载后,插件可以通过以下任一方式安装:

  1. 在浏览器中单击打开;

  2. 打开文件管理器,导航到~/Downloads并双击google插件deb文件;

这两种方法都将打开软件中心以完成安装。如果收到依赖项错误,请确保已在软件源中选择了Universe。

次佳解决方案

这是一个处理这个的hacky方法:

  1. 从以下位置下载64位.deb:http://www.google.com/tools/dlpage/res/talkvideo/hangouts/

  2. 创建一个tmp目录:

    mkdir tmp
    
  3. 将.deb的内容解压缩到tmp目录:

    dpkg-deb -x google-talkplugin_current_amd64.deb tmp
    
  4. 解压缩控制文件:

    dpkg-deb --control google-talkplugin_current_amd64.deb tmp/DEBIAN
    
  5. 修复依赖关系:

    sed -i "s/lib32v4l-0/libv4l-0/" tmp/DEBIAN/control
    
  6. 重新打包.deb:

    dpkg -b tmp google-talkplugin_current_amd64-fixed.deb
    
  7. 安装固定版本:

    sudo dpkg -i google-talkplugin_current_amd64-fixed.deb
    
  8. 转到Google修复64位Oneiric的.deb文件:http://www.google.com/intl/en/+/learnmore/forum/

第三种解决方案

对于ubuntu 14 – 软件中心似乎有一个错误,因此您需要从谷歌服务器下载该文件:

https://www.google.com/tools/dlpage/hangoutplugin

然后使用命令行安装.deb文件。浏览到下载文件夹:

cd ~/Downloads/

通过命令行安装.deb文件:

sudo dpkg -i <google-talk-file.deb>

参考资料

本文由Ubuntu问答整理, 博文地址: https://ubuntuqa.com/article/2550.html,未经允许,请勿转载。

相关文章